        !COMPILER-GENERATED INTERFACE MODULE: Sat Feb 12 13:24:48 2022
        ! This source file is for reference only and may not completely
        ! represent the generated interface used by the compiler.
        MODULE GETLAGGERAN_Y16__genmod
          INTERFACE 
            SUBROUTINE GETLAGGERAN_Y16(NUM,AN,N,X0,X1,P,ALPHA3,MH,Y,H,  &
     &ENERGY1)
              INTEGER(KIND=4) :: P
              INTEGER(KIND=4) :: N
              INTEGER(KIND=4) :: NUM
              REAL(KIND=8) :: AN(0:N,NUM)
              REAL(KIND=8) :: X0
              REAL(KIND=8) :: X1
              REAL(KIND=8) :: ALPHA3
              REAL(KIND=8) :: MH
              REAL(KIND=8) :: Y(0:P-1,NUM)
              REAL(KIND=8), INTENT(IN) :: H
              REAL(KIND=16) :: ENERGY1
            END SUBROUTINE GETLAGGERAN_Y16
          END INTERFACE 
        END MODULE GETLAGGERAN_Y16__genmod
